"""===============================================================
منطق برنامه ای را طراحی کنید که آرایه مرتب صعودی A را که حاوی ۴۵
عنصر است با آرایه مرتب نزولی B که حاوی ۴۵ عنصر است ادغام کند و ضمن
حفظ عناصر ارایه های A و B یک آرایه ۹۰ عنصری به نام C به صورت مرتب
نزولی بسازد
==============================================================="""

A = [57,48,43,38,23]
B = [1,23,46,64]
C = []
a = 0
b = len(B) - 1

for i in range(len(A)+len(B)):
    if a >= len(A):
        C.append(B[b])
        b-=1
    elif b<0:
        C.append(A[a])
        a+=1
    elif A[a] > B[b]:
        C.append(A[a])
        a+=1
    else:
        C.append(B[b])
        b-=1
print(C)